    MASTER(8)                                               MASTER(8)

    NAME
           master - Postfix master process

    SYNOPSIS
           master [-Dtv] [-c config_dir] [-e exit_time]

    DESCRIPTION
           The  master daemon is the resident process that runs Post-
           fix daemons on demand: daemons to send or receive messages
           via  the  network,  daemons  to deliver mail locally, etc.
           These daemons are created on demand up to  a  configurable
           maximum number per service.

           Postfix  daemons terminate voluntarily, either after being
           idle for a configurable amount of time,  or  after  having
           serviced  a configurable number of requests. The exception
           to this rule is the resident Postfix queue manager.

           The behavior of the master daemon  is  controlled  by  the
           master.cf  configuration file. The table specifies zero or
           more servers in the UNIX or INET domain, or  servers  that
           take  requests  from a FIFO. Precise configuration details
           are given in the master.cf file, and in the  manual  pages
           of the respective daemons.

           Options:

           -c config_dir
                  Read  the main.cf and master.cf configuration files
                  in the named directory instead of the default  con-
                  figuration directory.

           -e exit_time
                  Terminate  the  master process after exit_time sec-
                  onds. Child processes  terminate  at  their  conve-
                  nience.

           -D     After  initialization, run a debugger on the master
                  process. The debugging command  is  specified  with
                  the debugger_command in the main.cf global configu-
                  ration file.

           -t     Test mode. Return a zero exit status when the  mas-
                  ter.pid  lock file does not exist or when that file
                  is not locked.  This is evidence  that  the  master
                  daemon is not running.

           -v     Enable verbose logging for debugging purposes. This
                  option is passed on to child processes. Multiple -v
                  options make the software increasingly verbose.

           Signals:

           SIGHUP Upon  receipt  of a HUP signal (e.g., after postfix
                  reload), the master process re-reads its configura-
                  tion  files. If a service has been removed from the
                  master.cf file, its running  processes  are  termi-
                  nated  immediately.   Otherwise,  running processes
                  are allowed to terminate as soon as is  convenient,
                  so  that  changes  in configuration settings affect
                  only new service requests.

           SIGTERM
                  Upon receipt of a TERM signal (e.g., after  postfix
                  abort),  the master process passes the signal on to
                  its child processes and terminates.  This is useful
                  for  an emergency shutdown. Normally one would ter-
                  minate only the master  (postfix  stop)  and  allow
                  running processes to finish what they are doing.

    DIAGNOSTICS
           Problems are reported to syslogd(8).

    BUGS
    ENVIRONMENT
           MAIL_DEBUG
                  After initialization, start a debugger as specified
                  with the debugger_command  configuration  parameter
                  in the main.cf configuration file.

           MAIL_CONFIG
                  Directory with Postfix configuration files.

    CONFIGURATION PARAMETERS
           The  following  main.cf parameters are especially relevant
           to this program. See the Postfix main.cf file  for  syntax
           details  and  for  default  values. Use the postfix reload
           command after a configuration change.

    Miscellaneous
           import_environment

           export_environment
                  Lists of names of environment parameters  that  can
                  be  imported  from  (exported  to) non-Postfix pro-
                  cesses.

           mail_owner
                  The owner of the mail queue  and  of  most  Postfix
                  processes.

           command_directory
                  Directory with Postfix support programs.

           daemon_directory
                  Directory with Postfix daemon programs.

           queue_directory
                  Top-level  directory  of the Postfix queue. This is
                  also the root directory of Postfix daemons that run
                  chrooted.

           inet_interfaces
                  The  network  interface  addresses that this system
                  receives mail on.  You need to stop and start Post-
                  fix when this parameter changes.

    Resource controls
           default_process_limit
                  Default  limit for the number of simultaneous child
                  processes that provide a given service.

           max_idle
                  Limit the time in  seconds  that  a  child  process
                  waits between service requests.

           max_use
                  Limit  the  number of service requests handled by a
                  child process.

           service_throttle_time
                  Time to avoid forking a server that appears  to  be
                  broken.

    FILES
           /usr/local/etc/postfix/main.cf: global configuration file.
           /usr/local/etc/postfix/master.cf: master process configuration file.
           /var/spool/postfix/pid/master.pid: master lock file.

    SEE ALSO
           qmgr(8) queue manager
           pickup(8) local mail pickup
           syslogd(8) system logging

    LICENSE
           The  Secure  Mailer  license must be distributed with this
           software.

    AUTHOR(S)
           Wietse Venema
           IBM T.J. Watson Research
           P.O. Box 704
           Yorktown Heights, NY 10598, USA

                                                            MASTER(8)